Updated: 2011-12-20 Due date:
PHP Version:
Complexity:
Subject: Doctrine fails to initialize AOP and DI in some cases
Description

When a Doctrine lazy loading proxy for an object is created for some specific purpose (e.g. when initializing session objects relating to
an entity) but filled afterwards "on the fly" if this object is part of a wide range "findBy" call through some query, Doctrine initializes the
lazy loading proxy but does not call __wakeup and therefore not initialize AOP and DI.

Associated revisions
Revision 3b704952 - 2011-12-20 14:36 - Lienhart Woitok

[BUGFIX] Doctrine@PostLoad calls DI and AOP initialization explicitly.

When a Doctrine lazy loading proxy for an object is
created for some specific purpose (e.g. when initializing
session objects relating to an entity) but filled afterwards
"on the fly" if this object is part of a wide range "findBy" 
call through some query, Doctrine initializes the lazy
loading proxy but does not call __wakeup and therefore not initialize AOP and DI.
We work around this issue, by initializing those objects
with a Doctrine PostLoad hook explicitly.

Change-Id: I83ba6484e9daecf5344242815ec52ad1770907f9
Resolves: #30467
Releases: 1.1

History
#1 - 2011-09-30 10:33 - Mr. Hudson
- Status changed from New to Under Review

Patch set 1 of change I83ba6484e9daecf5344242815ec52ad1770907f9 has been pushed to the review server.
It is available at http://review.typo3.org/5454

#2 - 2011-10-20 01:46 - Karsten Dambekalns
- Target version changed from 1.0.0 to 1.0.1

#3 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0
#4 - 2011-11-22 12:48 - Karsten Dambekalns
- Target version changed from 1.0.1 to 1.0.2

#5 - 2011-12-20 14:36 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5454

#6 - 2011-12-20 15:06 - Lienhart Woitok
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3b704952dfd3b26967d93caa621a8d9687a71185.
